%global momorel 3
%global md5sum_src0 10480df7c2e5a08c920c5b0a2ff4f161
Summary: a set of backgrounds packaged with the GNOME desktop
Name: gnome-backgrounds
Version: 2.14.2.1
Release: %{momorel}m
License: GPL
Group: User Interface/Desktops
URL: http://gnome-backgrounds.sourceforge.net

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.14/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1:  momonga-backgrounds.xml

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl-XML-Parser
BuildPrereq: momonga-backgrounds >= 3.0
Requires: momonga-backgrounds >= 3.0
BuildArch: noarch

Obsoletes: momonga-desktop

%description
This module contains a set of backgrounds packaged with the GNOME desktop.

%prep
%setup -q

%build
%configure 
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_datadir}/backgrounds/images
cp -f %{_datadir}/backgrounds/images/mo3bg-1280x1024.png %{buildroot}/%{_datadir}/backgrounds/images/default.png

cp %{SOURCE1} %{buildroot}/%{_datadir}/gnome-background-properties/

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc NEWS README AUTHORS ChangeLog COPYING
%{_datadir}/gnome-background-properties/
%dir %{_datadir}/pixmaps/backgrounds
%{_datadir}/pixmaps/backgrounds/
%{_datadir}/backgrounds/images/*
%{_datadir}/locale/*/*/*

%changelog
* Wed Jul 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.2.1-3m)
- modify momonga-backgrounds.xml
- add background image entry (mobox, moglassflower)

* Wed Jun  7 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.2.1-2m)
- add default image file
- add SOURCE1

* Thu Jun  1 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.2.1-1m)
- update 2.14.2.1

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-1m)
- update 2.14.0

* Sat Feb 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.3-1m)
- update to 2.12.3

* Sun Dec  4 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.2-1m)
- update to 2.12.2
- GNOME 2.12.2 Desktop

* Mon Nov 21 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- start
- GNOME 2.12.1 Desktop
